#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
bool sortBySecond(const pair<double,double> &a, const pair<double,double> &b){
    return a.second<b.second;
}
int main(){
    ios_base::sync_with_stdio(false); cout.precision(2);
    int n; vector<pair<double,double>> a; double b[10], c[10], s=0, m=0, t;
    cin>>n;
    for(int i=0; i<n; i++){
        cin>>b[i]>>c[i];
        c[i]/=100;
        s+=b[i];
        a.push_back(make_pair(b[i], c[i]));
    }
    sort(a.begin(), a.end(), sortBySecond);
    for(int i=0; i<n; i++){
        t=a[i].second*s;
        if(t>m) m=t;
        s-=a[i].first;
    }
    cout<<m;
}